<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:id="@+id/clItemGift"
    android:visibility="invisible"
    tools:visibility="visible"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/clContainer"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/clWinPrize"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">

        <ImageView
            android:id="@+id/ivBg"
            android:visibility="gone"
            tools:visibility="visible"
            android:layout_marginStart="10dp"
            tools:src="@mipmap/bg_dan_dao_two"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

        <com.opensource.svgaplayer.SVGAImageView
            android:id="@+id/svgaImageView"
            android:visibility="gone"
            tools:visibility="visible"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            android:layout_width="283dp"
            android:layout_height="60dp"/>

        <de.hdodenhof.circleimageview.CircleImageView
            android:id="@+id/ivAvatar"
            android:layout_marginStart="12dp"
            android:layout_marginTop="2dp"
            android:layout_marginBottom="2dp"
            android:src="@mipmap/default_avatar"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            android:layout_width="36dp"
            android:layout_height="36dp"/>

        <TextView
            android:id="@+id/tvSenderName"
            android:textSize="14dp"
            android:textColor="#fff"
            android:text = "Swago"
            android:ellipsize="marquee"
            android:marqueeRepeatLimit="marquee_forever"
            android:scrollHorizontally="true"
            android:singleLine="true"
            android:layout_marginStart="5dp"
            app:layout_constraintStart_toEndOf="@+id/ivAvatar"
            android:layout_marginTop="2dp"
            app:layout_constraintTop_toTopOf="@+id/ivAvatar"
            android:layout_width="80dp"
            android:layout_height="wrap_content"/>


        <TextView
            android:id="@+id/tvSenderTo"
            android:textSize="11dp"
            android:textColor="#fff"
            tools:text="ddffdsf"
            android:ellipsize="marquee"
            android:marqueeRepeatLimit="marquee_forever"
            android:scrollHorizontally="true"
            android:singleLine="true"
            android:layout_marginStart="5dp"
            app:layout_constraintStart_toEndOf="@+id/ivAvatar"
            android:layout_marginBottom="2dp"
            app:layout_constraintBottom_toBottomOf="@+id/ivAvatar"
            android:layout_width="80dp"
            android:layout_height="wrap_content"/>

        <ImageView
            android:id="@+id/ivGiftIcon"
            android:src="@mipmap/default_avatar"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            android:layout_marginStart="128dp"
            app:layout_constraintEnd_toEndOf="parent"
            android:layout_width="40dp"
            android:layout_height="40dp"/>

        <TextView
            android:id="@+id/tvNum"
            android:textSize="18dp"
            android:textColor="#fff"
            android:text="x123456789"
            android:visibility="invisible"
            tools:visibility="visible"
            android:layout_marginStart="5dp"
            android:textStyle="bold|italic"
            app:layout_constraintTop_toTopOf="@+id/clContainer"
            app:layout_constraintStart_toEndOf="@+id/ivGiftIcon"
            app:layout_constraintBottom_toBottomOf="@+id/clContainer"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

        <LinearLayout
            android:id="@+id/llNum"
            android:layout_marginStart="5dp"
            android:orientation="horizontal"
            android:visibility="invisible"
            tools:visibility="visible"
            app:layout_constraintTop_toTopOf="@+id/clContainer"
            app:layout_constraintStart_toEndOf="@+id/ivGiftIcon"
            app:layout_constraintBottom_toBottomOf="@+id/clContainer"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">
        </LinearLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/clWinPrize"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:visibility="visible"
        android:visibility="invisible"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">

        <ImageView
            android:id="@+id/iv"
            app:layout_constraintTop_toTopOf="parent"
            android:layout_marginTop="5dp"
            app:layout_constraintStart_toStartOf="parent"
            android:layout_marginStart="68dp"
            android:src="@mipmap/win_500_prize"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

        <TextView
            android:id="@+id/tvWinPrize"
            app:layout_constraintStart_toStartOf="@+id/iv"
            app:layout_constraintEnd_toEndOf="@+id/iv"
            app:layout_constraintTop_toTopOf="@+id/iv"
            app:layout_constraintBottom_toBottomOf="@+id/iv"
            android:text="Win 500x coins"
            android:layout_marginTop="3dp"
            android:layout_marginStart="26dp"
            android:textColor="#fff"
            android:textSize="11dp"
            android:layout_width="0dp"
            android:maxLines="1"
            android:layout_height="wrap_content"/>

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>